/*------------------------------------*\
    #GALLERY-SLIDER
\*------------------------------------*/
/**
 * Gallery slider component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-gallery-slider-space-vertical: $inuit-base-space-vertical;

.#{$inuit-namespace}gallery-slider,
%#{$inuit-namespace}gallery-slider {
    margin-bottom: $inuit-base-space-vertical-small-only;
    padding: $inuit-base-space-vertical-small-only 0;
    overflow: hidden;
    background: $frs-color-light-beige;

    // Typically sections get their bottom padding removed when they're the
    // last section on the page. This re-adds the padding to the gallery-slider.
    // It also remove the bottom margin so the footer won't move down too far.
    &:last-of-type {
        margin-bottom: 0;
        padding-bottom: $inuit-gallery-slider-space-vertical;
    }

    @media #{$medium-up} {
        margin-bottom: $inuit-gallery-slider-space-vertical;
        padding: $inuit-gallery-slider-space-vertical 0;
    }
}
.c-gallery__slider {
    .c-news-slider__break,
    .c-news-slider__play {
        position: absolute;
        border: 0;
        background: rgba(255, 255, 2555, .82);
        top: 0;
        right: auto;
        left: 0;
        width: 30px;
        height: 38px;
        color: $frs-color-blue;
        z-index: 9;
        font-size: 1.3rem;
        > svg {
            width:10px;
            height:20px;
        }
        @include epx-transition(background 300ms ease-in-out 0s);
        @media #{$large-up} {
            top: 0;
        }
        @media #{$small-only} {
            top: 0;
            left: 0;
        }
    }
    .c-news-slider__play {
        border: 0;
        background: rgba(255, 255, 2555, .82);
    }
}

.c-gallery__slider .c-gallery-slider__item {
    display: none;
    visibility: hidden;
}
.c-gallery__slider .c-gallery-slider__item:first-child {
    visibility: visible;
    display:block;
}
.c-gallery__slider .c-gallery-slider__item.slick-slide {
    visibility: visible;
    display:block;
}
.#{$inuit-namespace}gallery-slider__list,
%#{$inuit-namespace}gallery-slider__list {
    clear: both;
    margin-bottom: 0;
    position: relative;
}

.#{$inuit-namespace}gallery-slider__item,
%#{$inuit-namespace}gallery-slider__item {
    &.slick-active {
        text-decoration: inherit;
    }
}
.c-page--twocolumns {
    .c-gallery__slider img {
        max-height:467px !important;
    }
    .c-timeline-article {
        .c-gallery__slider
        {
            .o-media__imageholder {
                min-height:467px !important;
            }
            img {
                width:auto;
                max-height:467px !important;
            }
        }
    }
}
.c-page--twocolumns .c-gallery__slider .slick-list {
    max-height:525px !important;
}
.#{$inuit-namespace}gallery-slider__headline,
%#{$inuit-namespace}gallery-slider__headline {
    margin-bottom: $frs-grid-unit;
}

.#{$inuit-namespace}gallery-slider__arrow,
%#{$inuit-namespace}gallery-slider__arrow {
    background: $frs-color-white-alpha;
    border: 0;
    color: darken($frs-color-blue, 20);
    height: rem-calc(37.5px);
    margin: 0;
    padding: 0;
    height: rem-calc(37.5px);
    position: absolute;
    top: 0;
    z-index: 13;

    @include frs-hover {
        color: darken($frs-color-blue, 20);
    }

    > svg {
        fill:$frs-color-blue;
        height: rem-calc(30px);
        width: rem-calc(30px);
        padding: rem-calc(2.5px);
        margin: 0;

        @media #{$large-up} {
            height: rem-calc(37.5px);
            width: rem-calc(37.5px);
            padding: rem-calc(2.5px);
            margin: 0;
        }
    }

    &--prev {
        left: 30px;
    }

    &--next {
        left: 80px;
        right: auto;
    }
}
